# Interface methods for submodule: PointBasedSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectProxy as _SpatialObjectProxy


# Interface methods for class: PointBasedSpatialObject
class PointBasedSpatialObjectProxy(_SpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def AddPoint(self, newPoint) -> None:
		""""""
		...

	def RemovePoint(self, id: int) -> None:
		""""""
		...

	def SetPoints(self, newPoints) -> None:
		""""""
		...

	def GetPoints(self):
		""""""
		...

	def GetPoint(self, id: int):
		""""""
		...

	def GetNumberOfPoints(self) -> int:
		""""""
		...

	def ClosestPointInWorldSpace(self, point: Sequence[float]):
		""""""
		...

	def ClosestPointInObjectSpace(self, point: Sequence[float]):
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

